Page MenuHomePhabricator

Enable transclusion from Meta and Wikivoyage to wikimania2016
Closed, DeclinedPublic

Description

Iolanda asked me to request that transclusion from (it|en).wikivoyage (or all Wikivoyage) and Meta-Wiki be enabled on wikimania2016.wikimedia.org, so that we can contribute on the original wikis and still benefit from their content locally. Otherwise we'll have to fork pages like https://it.wikivoyage.org/wiki/Esino_Lario and https://en.wikivoyage.org/wiki/Esino_Lario

I can take care of the testing when the feature is enabled; it's still a basically unused wiki. If it ends up not working for us, I'll quickly ask disabling.

Event Timeline

Nemo_bis created this task.Apr 20 2015, 2:58 PM
Nemo_bis raised the priority of this task from to Normal.
Nemo_bis updated the task description. (Show Details)
Nemo_bis added subscribers: Nemo_bis, Alex_brollo, Andyrom75.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptApr 20 2015, 2:58 PM

There's a reason that variable is named "Scary" transclusion. I suspect this will have to be declined.

@ori @Gilles > any opinion on this issue?

Krinkle added a subscriber: Krinkle.Jun 2 2015, 1:18 PM

Unlikely to be enabled.

Note that you don't "have" to duplicate these pages. A reference to the original page could work just as well. That's what one would do elsewhere on the web, too. Perhaps include an introductory paragraph and an image (perhaps using Wikidata, if possible). But including the entire article is probably too much. You can just link to the original instead.

Krenair added a subscriber: aaron.Jun 2 2015, 1:21 PM

Okay... @aaron, what do you think?

aaron added a comment.Jun 2 2015, 6:14 PM

I'd +1 what Timo said

Nemo_bis added a comment.EditedJun 3 2015, 3:29 PM

Can anyone give reasons not to? MITRE is using interwiki transclusion from Wikipedia to their wikis and they didn't find any issue.

Note that you don't "have" to duplicate these pages. A reference to the original page could work just as well. That's what one would do elsewhere on the web, too. Perhaps include an introductory paragraph and an image (perhaps using Wikidata, if possible). But including the entire article is probably too much. You can just link to the original instead.

We are not "elsewhere on the web", wikis are wikis. Besides, content discussions should be on the wiki itself.

Krenair closed this task as Declined.Jul 18 2015, 1:09 AM
Krenair claimed this task.
Restricted Application edited subscribers, added: Matanya; removed: Liuxinyu970226. · View Herald TranscriptJul 18 2015, 1:09 AM
Nemo_bis reopened this task as Open.Jul 18 2015, 2:14 AM
Krinkle closed this task as Declined.EditedJul 18 2015, 11:09 PM

On the technical side "scary" transclusion has problems with caching and performance. That's why it's unlikely to be enabled at the scale of Wikimedia. No matter how topical or minimal the initial use case may be. Declining for that reason.

Further more, there are content problems with this type of transclusion.

  1. As mentioned before, for the user experience it seems more appropriate to provide a link. I don't see how including a full article is useful. If the host page would consist of just a transclusion, then instead of linking to that local page you'd interwiki link to the Wikivoyage page. If it becomes part of a larger host page, the structure of the included page would likely conflict. To give a short introduction, a manual summary, Wikidata description, or Popups/Hovercards seems more appropriate.
  1. Copyright. It'll require licensing and attribution information. Something that could be built-in to the transclusion system. But not trivial and needs integration with other citation tools (e.g. when people copy the complete output of this page, attribution to both is now required). There may also be conflicts and license restrictions that do not allow composition (e.g. Wikinews).